http
Base URL: https://openapi.tripo3d.ai/v3
Endpoint: GET /tasks/{task_id}
通过任务 ID 查询单个异步任务的状态和输出。所有生成和处理端点都会返回可用于此处查询的 task_id。
注意
- 此接口需要 API Key 认证。请在 Authorization 请求头中传入 Bearer {api_key}。
请求参数
请求体
task_idstring必选
唯一任务标识符,作为路径参数传入。以 task_ 开头。
返回参数
task_idstring必选
唯一任务标识符。
typestring必选
任务类型(如 text_to_model、rig、convert)。
statusstring必选
任务状态。
queued:排队等待中。running:处理中。success:已成功完成。failed:失败并报错。cancelled:已被用户取消。
progressinteger必选
0–100。
error_codeinteger
status=failed 时返回。标准化错误码,标识失败原因。
error_messagestring
status=failed 且存在 error_code 时返回。对应错误码的相关描述。
outputobject
仅在
status=success 时填充。包含 model_url、rendered_image_url 等。导入模型任务、以及模型输入为 file_token 或 URL 的模型后处理任务(绑骨、贴图、格式转换等)还会返回 normalize_scale(number):导入模型归一化时施加的缩放系数,最终尺寸 = 原始尺寸 × normalize_scale;1.0 表示未缩放。credits_consumednumber
消耗的额度。最多两位小数的数值(例如 48.00)。
created_atstring必选
ISO 8601 创建时间。
completed_atstring
ISO 8601 完成时间。
示例
查询任务
curl -s \
-H "Authorization: Bearer YOUR_API_KEY" \
https://openapi.tripo3d.ai/v3/tasks/task_abc123任务详情
{
"code": 0,
"data": {
"task_id": "task_abc123",
"type": "text_to_model",
"status": "success",
"progress": 100,
"output": {
"model_url": "https://cdn.tripo3d.ai/output/model_pbr.glb",
"rendered_image_url": "https://cdn.tripo3d.ai/output/preview.png"},
"credits_consumed": 100.00,
"created_at": "2026-04-28T12:00:00Z",
"completed_at": "2026-04-28T12:01:30Z"}
}